#version 330 core

in vec3 ourColor; // Input color from the vertex shader

uniform float opacity;

out vec4 color; // Output color

void main()
{
    color = vec4(ourColor, opacity); // Set the fragment color
}